Subject: mkdir: feature request --reference

From: Shaun Jackman <[email-masked]>
Date: Fri, 27 May 2011 16:25:29 -0700

Hi,

mkdir has an option -m to set the permission mode of the directory. I
would find it useful for mkdir to have a --reference=FILE option that
works identically to chmod.

My primary use case for this feature is to create a shell alias:
	alias mkdir='mkdir --reference=.'
so that in interactive shells, new directories are created with the same
permissions as their parent directory.

My goal is to have directories in my personal home directory to have
permission 755 and directories in my shared work space to have
permission 775, so that other members of my group may create new files
in shared directories. Files should have permission 755 so that members
of my group cannot modify files that I've created.

Thanks,
Shaun